aboutsummaryrefslogtreecommitdiff
path: root/tools/cpt-download
diff options
context:
space:
mode:
Diffstat (limited to 'tools/cpt-download')
-rwxr-xr-xtools/cpt-download15
1 files changed, 15 insertions, 0 deletions
diff --git a/tools/cpt-download b/tools/cpt-download
new file mode 100755
index 0000000..77087b9
--- /dev/null
+++ b/tools/cpt-download
@@ -0,0 +1,15 @@
+#!/bin/sh -ef
+
+# shellcheck disable=1091
+if command -v cpt-lib >/dev/null; then . cpt-lib; else . ../lib.sh; fi
+
+case "$1" in
+ --help|-h)
+ out "usage: ${0##*/} [pkg...]"
+ exit 1
+ ;;
+ --version|-v) version ;;
+ '') set -- "${PWD##*/}"; export CPT_PATH=${PWD%/*}:$CPT_PATH
+esac
+
+for pkg; do pkg_sources "$pkg"; done